# class Geolocation

#### package js.html

Available on HTML5

The `Geolocation` interface represents an object able to programmatically obtain the position of the device. It gives Web content access to the location of the device. This allows a Web site or app to offer customized results based on the user's location.

Documentation Geolocation by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Geolocation

### Methods

###

`clearWatch (watchId:Int):Void`

Removes the particular handler previously installed using `watchPosition()`.

###

`getCurrentPosition (successCallback:Position ‑> Void, ?errorCallback:PositionError ‑> Void, ?options:PositionOptions):Void`

Throws:

`null` | DOMError

###

`watchPosition (successCallback:Position ‑> Void, ?errorCallback:PositionError ‑> Void, ?options:PositionOptions):Int`

Throws:

`null` | DOMError